/*!
 * Built by ShiftSoftware
 * Copyright (c)
 */
import { Host, h } from "@stencil/core";
import cn from "../../global/lib/cn";
export class DynamicRedeem {
    constructor() {
        this.closeModal = async () => {
            this.isOpened = false;
            this.item = null;
            await new Promise(r => setTimeout(r, 500));
            this.canceledItems = [];
            this.unInvoicedByBrokerName = null;
            this.input.value = '';
            this.isLoading = false;
            this.input.readOnly = false;
        };
        this.qrCodeKeyDown = async (event) => {
            if (event.key === 'Enter') {
                if (!this.confirmServiceCancellation || !this.confirmUnInvoicedTBPVehicles)
                    return;
                event.preventDefault();
                if (!(this === null || this === void 0 ? void 0 : this.handleScanner))
                    return;
                const inputValue = this.input.value;
                this.input.value = '';
                this.isLoading = true;
                this.input.readOnly = true;
                this.handleScanner(inputValue);
            }
        };
        this.onValueChanges = (event) => {
            if (this.handleQrChanges) {
                const input = event.target;
                this.handleQrChanges(input.value);
            }
        };
        this.vin = '';
        this.item = null;
        this.canceledItems = null;
        this.unInvoicedByBrokerName = null;
        this.handleScanner = undefined;
        this.handleQrChanges = undefined;
        this.confirmServiceCancellation = false;
        this.confirmUnInvoicedTBPVehicles = false;
        this.internalVin = '';
        this.isOpened = false;
        this.internalItem = null;
        this.internalCanceledItem = null;
        this.isLoading = false;
        this.loadingStateChange = undefined;
    }
    onIsLoadingChange(newValue) {
        if (this.loadingStateChange)
            this.loadingStateChange(newValue);
    }
    async componentDidLoad() {
        this.input = this.el.shadowRoot.querySelector('.dynamic-claim-processor .qr-input');
        this.dynamicClaimProcessor = this.el.shadowRoot.querySelector('.dynamic-claim-processor');
        if (this.unInvoicedByBrokerName === null) {
            this.confirmUnInvoicedTBPVehicles = true;
        }
        else {
            this.confirmUnInvoicedTBPVehicles = false;
        }
    }
    focusInput() {
        setTimeout(() => {
            this.input.focus();
        }, 100);
    }
    async changeInternalCanceledItem(newInternalCanceledItem) {
        this.internalCanceledItem = newInternalCanceledItem;
        if (this.internalCanceledItem.length > 0) {
            this.confirmServiceCancellation = false;
        }
        else {
            this.confirmServiceCancellation = true;
        }
    }
    async changeConfirmUnInvoicedTBPVehicles(newUnInvoicedByBrokerName) {
        if (newUnInvoicedByBrokerName === null) {
            this.confirmUnInvoicedTBPVehicles = true;
        }
        else {
            this.confirmUnInvoicedTBPVehicles = false;
        }
    }
    async changeInternalVin(newInternalVin) {
        this.internalVin = newInternalVin;
    }
    async changeInternalItem(newItem) {
        this.isOpened = !!newItem;
        if (newItem)
            this.internalItem = newItem;
        if (newItem) {
            this.closeModalListenerRef = (event) => event.key === 'Escape' && this.quite();
            window.addEventListener('keydown', this.closeModalListenerRef);
            await new Promise(r => setTimeout(r, 300));
            this.input.focus();
        }
        else {
            window.removeEventListener('keydown', this.closeModalListenerRef);
            this.quite();
        }
    }
    async quite() {
        this.closeModal();
    }
    async getQrValue() {
        return this.input.value;
    }
    render() {
        var _a, _b, _c, _d, _e;
        const disableInput = !this.confirmServiceCancellation || !this.confirmUnInvoicedTBPVehicles;
        if (!disableInput)
            this.focusInput();
        return (h(Host, { key: '7ea18e4fadefc9890b6346a56c29a2057ff4dae5' }, h("div", { key: 'facbf1dcacb0f5bf7ced03c1d71173144c8a4e60', class: cn('dynamic-claim-processor', (this === null || this === void 0 ? void 0 : this.isOpened) && 'active') }, h("svg", { key: 'efab69b4fd0fc8bda536a4a723a8db6e445fdb2a', id: "dynamic-claim-processor-close-icon", onClick: this.closeModal, viewBox: "-0.5 0 25 25", fill: "none", xmlns: "http://www.w3.org/2000/svg" }, h("g", { key: 'd0a0ac68fcd60f48d4300a174990b122dd9868fb', id: "SVGRepo_bgCarrier", "stroke-width": "0" }), h("g", { key: 'eca5bf7b0719fc86ac0f886e90260463624b07b9', id: "SVGRepo_tracerCarrier", "stroke-linecap": "round", "stroke-linejoin": "round" }), h("g", { key: 'f34e7075df7ba0fa672831e0de3ba9d024633982', id: "SVGRepo_iconCarrier" }, h("path", { key: 'c24ef4a14d9ecc07e29b9196fc8f13caf9c9bf7c', d: "M3 21.32L21 3.32001", stroke: "#000000", "stroke-width": "1.5", "stroke-linecap": "round", "stroke-linejoin": "round" }), h("path", { key: '2be1d7b1a861a3ffc7dbe158f4791719b1cd8d72', d: "M3 3.32001L21 21.32", stroke: "#000000", "stroke-width": "1.5", "stroke-linecap": "round", "stroke-linejoin": "round" }))), h("div", { key: 'b9a4abea36a13d0e796ce95e89bd2bccfe6d47b0', class: "dynamic-claim-processor-wrapper" }, h("div", { key: '720c7b9b1de4b22fd0928d6b5eb79a38193c8468', class: "dynamic-claim-processor-info-box" }, h("div", { key: 'cb5e4a0b8596c5c782aafb78228e31728c6f1a55', class: "dynamic-claim-processor-info-box-header" }, h("strong", { key: '62a593462b321dcea73c093e415d0dbd8b9d6bd5', class: "dynamic-claim-header-vin" }, this === null || this === void 0 ? void 0 : this.internalVin)), h("div", { key: '1a5ff709581b8f18971379f30314fe835a31eb3b', class: "dynamic-claim-processor-info-box-body" }, h("table", { key: '6d61ff99ccba84dc53b59b8564c4ad035b95372b', class: "border-separate" }, h("tr", { key: '990674c386c2d9cec2f5122caa0b09ef96a44523' }, h("th", { key: '1002adc8b12ddeea1e8032f1da12b5af21c83e8b' }, "Service Type"), h("td", { key: '89b9426749a50067df55db904e78fc6521e2e09e' }, (_a = this === null || this === void 0 ? void 0 : this.internalItem) === null || _a === void 0 ? void 0 : _a.type), h("th", { key: '4f74393f4ee9f5a367cbef81aadcbbf61c690a0d' }, "Name"), h("td", { key: 'c789f80b5aeefd3e979d16e7a0f4ea2fdce93ed1' }, (_b = this === null || this === void 0 ? void 0 : this.internalItem) === null || _b === void 0 ? void 0 : _b.name)), h("tr", { key: 'b54cd591800861e59da162b88b6a244b379bacd6' }, h("th", { key: 'a434d8772d60bff1f576163c2858b93ae03fce46' }, "Activation Date"), h("td", { key: '5e8650d609cc9c8c2b3d0331ba3bf864be344e38' }, (_c = this === null || this === void 0 ? void 0 : this.internalItem) === null || _c === void 0 ? void 0 : _c.activatedAt), h("th", { key: '981e8ae49a3ac15f4a9541f014f2f20ae619d87d' }, "Expiry Date"), h("td", { key: '1b75bce9817ca071211029622e6315ff6c95363a' }, (_d = this === null || this === void 0 ? void 0 : this.internalItem) === null || _d === void 0 ? void 0 : _d.expiresAt)), h("tr", { key: '7b92c9d3f1cde8bfe98315bde7e0b7954d341cb7' }, h("th", { key: '624e7be8fcd535a702e1ec182224fdd1cb129d36' }, "Menu Code"), h("td", { key: '24ee026cc9cfb1700d0842a12e30cbf56fa57608' }, (_e = this === null || this === void 0 ? void 0 : this.internalItem) === null || _e === void 0 ? void 0 : _e.menuCode))))), h("div", { key: '76c5666102384f3d11d0c584ee5c101d9e6888a2', style: { flex: '1', width: '100%', display: 'flex', flexDirection: 'column', justifyContent: 'space-evenly' } }, (this === null || this === void 0 ? void 0 : this.internalCanceledItem) && Array.isArray(this.internalCanceledItem) && !!this.internalCanceledItem.length && (h("div", { key: '1ca55d23fe8e2bfc4102532df847e4ddda998acc', class: "admonition warning" }, h("p", { key: '7851d8d8b29cec199ee0466aa6963323ac245d1d', class: "admonition-title" }, "Warning"), h("div", { key: '086e2d19996bb9cec86fbc1c3a6d508cb2d87b1a', style: { padding: '0 30px' } }, h("p", { key: '3645a5f3a7caa44370a9ca68e2fd7771490eb66f', class: "my-4" }, "the following Services Are still 'Pending' and they will be marked as 'Cancelled'"), h("ul", { key: '3184c6806f652ff1e18f5060fc7c529f52e42644', class: "dynamic-claim-processor-to-be-cancelled-list my-4 pl-10 list-disc" }, this.internalCanceledItem.map(({ name }) => (h("li", { id: name }, name)))), h("div", { key: 'b16e20211bbdf3655d2b6baba0479024aef04c86', class: "cancel-confirmation-box" }, h("label", { key: '6107738c56955193fe9ff0b20d9d13a1d63359a4' }, h("input", { key: '6487d57080dfe0fdc6330a2100a10451a5db417c', type: "checkbox", class: "confirm-cancellation-input m-[3px] ml-1", onChange: () => {
                this.confirmServiceCancellation = !this.confirmServiceCancellation;
            } }), ' ', "Confirm Marking the above services as 'Cancelled'"))))), true && this.unInvoicedByBrokerName && (h("div", { key: 'da07af777aa9bb41a431a937784c973e90ca2fc4', class: "admonition warning" }, h("p", { key: '94f42d9732ab343fd81dc5ba5c67570ee5a503be', class: "admonition-title" }, "Warning"), h("div", { key: '03add06584426d108d3a7827ffefde6905cea542', style: { padding: '0 30px' } }, h("p", { key: 'faa3390b9483ffcf1813cb98d0c6b30d6116562e', class: "my-4" }, "This Vehicle is not yet invoiced by the following Trusted Business Partner:"), h("div", { key: '11d799db5ac38c1400fbe6d144f9f7279d61c22b' }, h("strong", { key: '9a22678bc79691244974f316d7fc8a197583f905' }, this.unInvoicedByBrokerName)), h("div", { key: 'a13f1c55bf8c3bed0ba5a76ef787ea93c39c375e', class: "cancel-confirmation-box" }, h("label", { key: '9ae25e9d5dbfa9f1b1390bf8c22d3f67d2c89209' }, h("input", { key: '719b0152957d6d4e6dffbfdc1ce4ef8796c53f88', type: "checkbox", class: "confirm-cancellation-input m-[3px] ml-1", onChange: () => {
                this.confirmUnInvoicedTBPVehicles = !this.confirmUnInvoicedTBPVehicles;
            } }), ' ', "Confirm Claiming without Trusted Business Partner Invoice"))))), h("div", { key: '951942abe6995ed155f2d9800bb572e8a19c4068', class: cn('dynamic-claim-processor-progress', (!this.confirmServiceCancellation || !this.confirmUnInvoicedTBPVehicles) && 'disabled') }, h("div", { key: '997c6a843683801155f88e8d8c64318e1f87f5ca', id: "scan-invoice-step", class: cn('dynamic-claim-processor-progress-step', this.isLoading && 'processing') }, h("div", { key: 'ecaea7fa9458d6800f97f289723b3609b0b7b728', style: { position: 'relative', width: '130px', height: '130px', display: 'block', margin: 'auto', marginTop: '15px' } }, h("div", { key: '7e6454f31cb82c63a4bbb10a8b7dc1be6d7fac6b', style: { position: 'absolute' }, class: "scan-invoice-wrapper flex flex-col gap-1 justify-center items-center" }, h("svg", { key: '333521e33e644e25d3e1f28949fab5f2a6c0e5b0', fill: "#3071a9", height: "100px", width: "100px", version: "1.1", id: "Layer_1", xmlns: "http://www.w3.org/2000/svg", viewBox: "0 0 512 512", stroke: "#ffffff" }, h("g", { key: '95eaad08a062318e9f9db4317b96306b86642139', id: "SVGRepo_bgCarrier", "stroke-width": "0" }), h("g", { key: 'f78e536c8cc0d32a16a0424cc7f098d73286b479', id: "SVGRepo_tracerCarrier", "stroke-linecap": "round", "stroke-linejoin": "round" }), h("g", { key: 'b65a4b29d75d883532f86634d9bd531f09cf7ead', id: "SVGRepo_iconCarrier" }, h("g", { key: 'd9410f0ce81c453360349412cf2f8b62f762ba11' }, h("g", { key: 'c7c64f4dc942e2de8fb851e6bdcf45022e672510' }, h("path", { key: '4f4b628c4255d179519e2b953e59a17c6a924c1a', d: "M354.338,34.205h-61.71c-3.354-9.93-12.752-17.102-23.8-17.102h-17.547C243.359,6.451,230.813,0,217.521,0 s-25.839,6.451-33.76,17.102h-17.547c-11.048,0-20.446,7.172-23.8,17.102H80.701c-18.566,0-33.67,15.105-33.67,33.67v359.148 c0,18.566,15.105,33.67,33.67,33.67h171.023c4.427,0,8.017-3.589,8.017-8.017c0-4.427-3.589-8.017-8.017-8.017H80.701 c-9.725,0-17.637-7.912-17.637-17.637V67.875c0-9.725,7.912-17.637,17.637-17.637h60.394v26.188c0,4.427,3.589,8.017,8.017,8.017 H285.93c4.427,0,8.017-3.589,8.017-8.017V50.238h60.391c9.725,0,17.637,7.912,17.637,17.637v230.881 c0,4.427,3.589,8.017,8.017,8.017c4.427,0,8.017-3.589,8.017-8.017V67.875C388.008,49.309,372.904,34.205,354.338,34.205z M277.914,68.409H157.129V42.252c0-0.011,0.001-0.02,0.001-0.031c0-0.005-0.001-0.011-0.001-0.015 c0.009-5.004,4.08-9.071,9.085-9.071h21.846c2.854,0,5.493-1.517,6.929-3.985c4.781-8.213,13.204-13.117,22.532-13.117 s17.751,4.904,22.532,13.117c1.435,2.467,4.075,3.985,6.929,3.985h21.846c4.999,0,9.067,4.059,9.085,9.055 c0,0.011-0.001,0.02-0.001,0.031c0,0.021,0.003,0.041,0.003,0.062V68.409z" }))), h("g", { key: 'd8dfaa272dc038f9a409a07f20a376872e2c49d6' }, h("g", { key: '92a785053a4a484d4cfa3dcba2d6501f4d95bd63' }, h("path", { key: '98f1da5fa072e2208f083f8bf6780e6dea4608e6', d: "M251.722,410.455H97.269V84.443h17.64c4.427,0,8.017-3.589,8.017-8.017s-3.589-8.017-8.017-8.017H89.253 c-4.427,0-8.017,3.589-8.017,8.017v342.046c0,4.427,3.589,8.017,8.017,8.017h162.47c4.427,0,8.017-3.589,8.017-8.017 C259.739,414.044,256.15,410.455,251.722,410.455z" }))), h("g", { key: 'f3dca4bd971490fedd8a3b12046ef4bc0920215e' }, h("g", { key: '0218794dd99ca2f80f474ff0c9e1371a14011a54' }, h("path", { key: '5664c682ebf85609e55fb91ae9150ec0b790282d', d: "M345.787,68.409h-25.653c-4.427,0-8.017,3.589-8.017,8.017s3.589,8.017,8.017,8.017h17.637v214.311 c0,4.427,3.589,8.017,8.017,8.017s8.017-3.589,8.017-8.017V76.426C353.804,71.999,350.214,68.409,345.787,68.409z" }))), h("g", { key: '0ff24162a3500fcfbe933af6b7954fc1a7c4116d' }, h("g", { key: '780cb9811d541c8a662f7e6328a0caeb294b23e1' }, h("path", { key: '8144a520d72cdcbe909f81abee08e811b112a793', d: "M371.44,324.944c-51.572,0-93.528,41.956-93.528,93.528S319.869,512,371.44,512s93.528-41.956,93.528-93.528 S423.012,324.944,371.44,324.944z M371.44,495.967c-42.731,0-77.495-34.764-77.495-77.495s34.764-77.495,77.495-77.495 s77.495,34.764,77.495,77.495S414.172,495.967,371.44,495.967z" }))), h("g", { key: '3b908924f2df6e7025a3913c7998a1a13290a6b9' }, h("g", { key: 'efa92cfff7cf13fbba841173d6f24a3632d56c40' }, h("path", { key: '11b0a430b9558b213e2c018245d199a7b4f71a26', d: "M217.607,34.205h-0.086c-4.427,0-7.974,3.589-7.974,8.017c0,4.427,3.631,8.017,8.059,8.017 c4.427,0,8.017-3.589,8.017-8.017C225.624,37.794,222.035,34.205,217.607,34.205z" }))), h("g", { key: 'b4701864f89c78d3b34ad264058f90ffb355a57d' }, h("g", { key: '112007561eda64334264db3140b2b9d1a171ae05' }, h("path", { key: 'bdc48e97205b19f455f2567a1e21ef2791f082f8', d: "M419.865,387.15c-3.13-3.131-8.207-3.131-11.337,0l-54.19,54.19l-28.536-28.536c-3.131-3.131-8.207-3.131-11.337,0 c-3.131,3.131-3.131,8.207,0,11.337l34.205,34.205c1.565,1.565,3.617,2.348,5.668,2.348s4.103-0.782,5.668-2.348l59.858-59.858 C422.995,395.356,422.995,390.28,419.865,387.15z" }))), h("g", { key: 'cc19dded6610b3c38df00eb86690ef5da6646311' }, h("g", { key: '38f73ff945164d99ba4ca5572eea6e3da41ab83e' }, h("path", { key: '31f531ce112abddd9155c612347a550133dccbbe', d: "M182.781,177.309v-32.338c11.295,1.934,18.171,7.688,18.171,11.889c0,4.427,3.589,8.017,8.017,8.017 s8.017-3.589,8.017-8.017c0-14.171-14.492-25.621-34.205-28.092v-1.036c0-4.427-3.589-8.017-8.017-8.017s-8.017,3.589-8.017,8.017 v1.036c-19.713,2.47-34.205,13.92-34.205,28.092c0,20.074,18.829,27.788,34.205,32.461v32.338 c-11.295-1.934-18.171-7.688-18.171-11.889c0-4.427-3.589-8.017-8.017-8.017s-8.017,3.589-8.017,8.017 c0,14.171,14.492,25.621,34.205,28.092v1.036c0,4.427,3.589,8.017,8.017,8.017s8.017-3.589,8.017-8.017v-1.036 c19.713-2.47,34.205-13.92,34.205-28.092C216.985,189.697,198.157,181.982,182.781,177.309z M166.747,172.411 c-13.524-4.713-18.171-8.963-18.171-15.551c0-2.535,2.236-5.335,6.134-7.68c3.294-1.982,7.473-3.415,12.037-4.198V172.411z M194.818,217.45c-3.294,1.982-7.473,3.415-12.037,4.198v-27.429c13.524,4.713,18.171,8.963,18.171,15.551 C200.952,212.306,198.716,215.105,194.818,217.45z" }))), h("g", { key: 'a11875702a3fc98e0acfbbcb4af12eb4493af258' }, h("g", { key: '10d753a00196f287b6afc85869870c8a762b8015' }, h("path", { key: 'c095ad4acfeaaea83205afdb5c3c482ec9d772ac', d: "M294.48,136.818h-42.756c-4.427,0-8.017,3.589-8.017,8.017s3.589,8.017,8.017,8.017h42.756 c4.427,0,8.017-3.589,8.017-8.017S298.908,136.818,294.48,136.818z" }))), h("g", { key: 'd4445fed4d88d0442843a878bcac6e69fe9b74d3' }, h("g", { key: '64d604d7670df1e7508bcde262d4077504081522' }, h("path", { key: 'e96d7331677e226f88e751233077a4c272acde8f', d: "M277.378,171.023h-25.653c-4.427,0-8.017,3.589-8.017,8.017s3.589,8.017,8.017,8.017h25.653 c4.427,0,8.017-3.589,8.017-8.017S281.805,171.023,277.378,171.023z" }))), h("g", { key: 'ed7b2e50d6ba9a1300d6acf05043f3fa0181703c' }, h("g", { key: 'e25d13f88c01cf40a2d6986d8a7c91f9cbdf880f' }, h("path", { key: '4a62c6e4880d9554a88d2dcf2b9da4c72f91ad61', d: "M294.48,205.228h-42.756c-4.427,0-8.017,3.589-8.017,8.017s3.589,8.017,8.017,8.017h42.756 c4.427,0,8.017-3.589,8.017-8.017S298.908,205.228,294.48,205.228z" }))), h("g", { key: '9031c38f7ad634a20d16d46bee109910605ada47' }, h("g", { key: '9151c7dea666703b37d470f11c4a27790da99bca' }, h("path", { key: 'b36cf4ac3fad4be56317a2605be087a46212d9bb', d: "M157.662,282.188H140.56c-4.427,0-8.017,3.589-8.017,8.017s3.589,8.017,8.017,8.017h17.102 c4.427,0,8.017-3.589,8.017-8.017S162.089,282.188,157.662,282.188z" }))), h("g", { key: '6ce2c120f503b02241a11803ee643df17be742bf' }, h("g", { key: '5342f6b2940cb61841045992b398410344cbe771' }, h("path", { key: '6a11df9eea892fbb3fa4540e63745d2e65644e7f', d: "M157.662,350.597H140.56c-4.427,0-8.017,3.589-8.017,8.017s3.589,8.017,8.017,8.017h17.102 c4.427,0,8.017-3.589,8.017-8.017S162.089,350.597,157.662,350.597z" }))), h("g", { key: '9bd5c72fc4972da0eb431165939082b6b9918320' }, h("g", { key: '01f2799a580fa6ff6837f24c0c45841b0ae80133' }, h("path", { key: '281da0da97a271db4c8e1439ed889fdab1e41e89', d: "M157.662,316.393H140.56c-4.427,0-8.017,3.589-8.017,8.017s3.589,8.017,8.017,8.017h17.102 c4.427,0,8.017-3.589,8.017-8.017S162.089,316.393,157.662,316.393z" }))), h("g", { key: 'eeab8100ba66288719c9bd25daf4dccddca387ef' }, h("g", { key: '1502a6ebd3c6fbe19a033e68ca784230313ecd2e' }, h("path", { key: '15f0c1e838090236060dbc44c88ff80b4a5be707', d: "M294.48,282.188H191.866c-4.427,0-8.017,3.589-8.017,8.017s3.589,8.017,8.017,8.017H294.48 c4.427,0,8.017-3.589,8.017-8.017S298.908,282.188,294.48,282.188z" }))), h("g", { key: '670e313fe53a0daf241bccc62713f98e13a0eaea' }, h("g", { key: 'db5b79634178045e411db9e17e98c3f1705422f3' }, h("path", { key: '3e0cf63bb723b972a46ac206657425e5c5f03228', d: "M268.827,350.597h-76.96c-4.427,0-8.017,3.589-8.017,8.017s3.589,8.017,8.017,8.017h76.96 c4.427,0,8.017-3.589,8.017-8.017S273.254,350.597,268.827,350.597z" }))), h("g", { key: 'b24cb217593c420ad1ac7e387e803582b0690a0f' }, h("g", { key: 'cf67f96250fddb8c8392701dba0d4867d2d551a5' }, h("path", { key: 'b7e3b2da13a756848cf0b951fbf0b8a79d78efba', d: "M294.48,316.393H191.866c-4.427,0-8.017,3.589-8.017,8.017s3.589,8.017,8.017,8.017H294.48 c4.427,0,8.017-3.589,8.017-8.017S298.908,316.393,294.48,316.393z" }))))), h("div", { key: '08e454bab5a674a9ace140604e6f6defe3a057df' }, "Scan the Invoice")), h("div", { key: '173d145e54f7b549428fc380acc545fc9a427fd6', style: { position: 'absolute' }, class: "loading-wrapper" }, h("div", { key: 'c799a9adecb8bcadc046109048de438125b6f90d', class: cn('lds-ripple', this.isLoading && 'active') }, h("div", { key: '46c014c57c7b7aaf6f91cf6987f0aa8c16689b42' }), h("div", { key: 'a85c595f48215b5f400c6f69dd84447649c2c693' })), h("div", { key: 'b74cb5e6630b1b4abdee266fc1341392da488ecb', class: cn('lds-ripple-loading', this.isLoading && 'active') }, "Processing ..."))), h("input", { key: '39add573de99d4e402f1d0fa887ad5755cbcf1d1', class: "qr-input", spellcheck: "false", onInput: this.onValueChanges, onKeyDown: this.qrCodeKeyDown, onBlur: () => this.input.focus(), autocomplete: "off", disabled: disableInput, placeholder: "", autofocus: true, style: { marginTop: '20px', padding: '10px 0px', fontSize: '16px' } }))))))));
    }
    static get is() { return "dynamic-redeem"; }
    static get encapsulation() { return "shadow"; }
    static get originalStyleUrls() {
        return {
            "$": ["dynamic-redeem.css"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["dynamic-redeem.css"]
        };
    }
    static get properties() {
        return {
            "vin": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": true,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "vin",
                "reflect": false,
                "defaultValue": "''"
            },
            "item": {
                "type": "unknown",
                "mutable": false,
                "complexType": {
                    "original": "ServiceItem",
                    "resolved": "{ name: string; type: string; wip?: string; title: string; image: string; qrUri: string; typeEnum: number; expiresAt: string; menuCode?: string; campaignCode: any; activeFor: number; statusEnum: number; description: string; activatedAt: string; redeemDate?: string; dealerName?: string; modelCostID?: number; invoiceNumber?: string; skipZeroTrust: boolean; activeForInterval: string; dealerIntegrationID?: string; maximumMileage: number; tlpPackageInvoiceTLPItemID: any; toyotaLoyaltyProgramRedeemableItemID: number; status: \"processed\" | \"expired\" | \"cancelled\" | \"pending\" | \"warning\"; }",
                    "references": {
                        "ServiceItem": {
                            "location": "import",
                            "path": "~types/vehicle-information",
                            "id": "src/global/types/vehicle-information.ts::ServiceItem"
                        }
                    }
                },
                "required": false,
                "optional": true,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "defaultValue": "null"
            },
            "canceledItems": {
                "type": "unknown",
                "mutable": false,
                "complexType": {
                    "original": "ServiceItem[]",
                    "resolved": "ServiceItem[]",
                    "references": {
                        "ServiceItem": {
                            "location": "import",
                            "path": "~types/vehicle-information",
                            "id": "src/global/types/vehicle-information.ts::ServiceItem"
                        }
                    }
                },
                "required": false,
                "optional": true,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "defaultValue": "null"
            },
            "unInvoicedByBrokerName": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": true,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "un-invoiced-by-broker-name",
                "reflect": false,
                "defaultValue": "null"
            },
            "handleScanner": {
                "type": "unknown",
                "mutable": false,
                "complexType": {
                    "original": "(code: string) => void",
                    "resolved": "(code: string) => void",
                    "references": {}
                },
                "required": false,
                "optional": true,
                "docs": {
                    "tags": [],
                    "text": ""
                }
            },
            "handleQrChanges": {
                "type": "unknown",
                "mutable": false,
                "complexType": {
                    "original": "(code: string) => void",
                    "resolved": "(code: string) => void",
                    "references": {}
                },
                "required": false,
                "optional": true,
                "docs": {
                    "tags": [],
                    "text": ""
                }
            },
            "loadingStateChange": {
                "type": "unknown",
                "mutable": false,
                "complexType": {
                    "original": "(isLoading: boolean) => void",
                    "resolved": "(isLoading: boolean) => void",
                    "references": {}
                },
                "required": false,
                "optional": true,
                "docs": {
                    "tags": [],
                    "text": ""
                }
            }
        };
    }
    static get states() {
        return {
            "confirmServiceCancellation": {},
            "confirmUnInvoicedTBPVehicles": {},
            "internalVin": {},
            "isOpened": {},
            "internalItem": {},
            "internalCanceledItem": {},
            "isLoading": {}
        };
    }
    static get methods() {
        return {
            "quite": {
                "complexType": {
                    "signature": "() => Promise<void>",
                    "parameters": [],
                    "references": {
                        "Promise": {
                            "location": "global",
                            "id": "global::Promise"
                        }
                    },
                    "return": "Promise<void>"
                },
                "docs": {
                    "text": "",
                    "tags": []
                }
            },
            "getQrValue": {
                "complexType": {
                    "signature": "() => Promise<string>",
                    "parameters": [],
                    "references": {
                        "Promise": {
                            "location": "global",
                            "id": "global::Promise"
                        }
                    },
                    "return": "Promise<string>"
                },
                "docs": {
                    "text": "",
                    "tags": []
                }
            }
        };
    }
    static get elementRef() { return "el"; }
    static get watchers() {
        return [{
                "propName": "isLoading",
                "methodName": "onIsLoadingChange"
            }, {
                "propName": "canceledItems",
                "methodName": "changeInternalCanceledItem"
            }, {
                "propName": "unInvoicedByBrokerName",
                "methodName": "changeConfirmUnInvoicedTBPVehicles"
            }, {
                "propName": "vin",
                "methodName": "changeInternalVin"
            }, {
                "propName": "item",
                "methodName": "changeInternalItem"
            }];
    }
}
