/*!
 * Built by ShiftSoftware
 * Copyright (c)
 */
import { Host, h } from "@stencil/core";
import cn from "../../global/lib/cn";
export class FormInput {
    constructor() {
        this.name = undefined;
        this.label = undefined;
        this.class = undefined;
        this.isError = undefined;
        this.disabled = undefined;
        this.labelClass = undefined;
        this.errorClass = undefined;
        this.errorMessage = undefined;
        this.containerClass = undefined;
    }
    render() {
        const { class: inputClass, errorClass, containerClass, disabled, label, isError, labelClass, name, errorMessage, onInput } = this;
        return (h(Host, { key: 'e827caddf9fa028e55b1667d45743d220a2a9249' }, h("label", { key: '9f357ce1be0eaef54d6274113dfc32fff36c325d', class: cn('relative w-full pb-[20px] inline-flex flex-col', containerClass) }, label && h("div", { key: '21f7c7a34b215366767653b20f36c63bf6581fe2', class: cn('mb-[4px]', labelClass) }, label), h("input", { key: '9c97a376c5b63ca511009d0cb713d52269b5b6c2', name: name, onInput: onInput, disabled: disabled, class: cn('border disabled:opacity-75 flex-1 py-[6px] px-[12px] transition-colors duration-300 rounded-lg outline-none focus:border-slate-600 w-full', { '!border-red-500': isError }, inputClass) }), h("div", { key: 'aacbbe37d99ade01af27055c50848da3475d5bb3', class: cn('absolute bottom-0 -z-10 text-red-500 transition-all duration-300', { '-translate-y-full opacity-0': !isError }, errorClass) }, errorMessage))));
    }
    static get is() { return "form-input"; }
    static get originalStyleUrls() {
        return {
            "$": ["form-input.css"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["form-input.css"]
        };
    }
    static get properties() {
        return {
            "name": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "name",
                "reflect": false
            },
            "label": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "label",
                "reflect": false
            },
            "class": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "class",
                "reflect": false
            },
            "isError": {
                "type": "boolean",
                "mutable": false,
                "complexType": {
                    "original": "boolean",
                    "resolved": "boolean",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "is-error",
                "reflect": false
            },
            "disabled": {
                "type": "boolean",
                "mutable": false,
                "complexType": {
                    "original": "boolean",
                    "resolved": "boolean",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "disabled",
                "reflect": false
            },
            "labelClass": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "label-class",
                "reflect": false
            },
            "errorClass": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "error-class",
                "reflect": false
            },
            "errorMessage": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "error-message",
                "reflect": false
            },
            "containerClass": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "container-class",
                "reflect": false
            }
        };
    }
    static get events() {
        return [{
                "method": "onInput",
                "name": "onInput",
                "bubbles": true,
                "cancelable": true,
                "composed": true,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "complexType": {
                    "original": "any",
                    "resolved": "any",
                    "references": {}
                }
            }];
    }
}
