/*!
 * Built by ShiftSoftware
 * Copyright (c)
 */
const vehicleRequestHeaders = {
    cityId: 'City-Id',
    userId: 'User-Id',
    companyId: 'Company-Id',
    customerName: 'Customer-Name',
    customerPhone: 'Customer-Phone',
    customerEmail: 'Customer-Email',
    companyBranchId: 'Company-Branch-Id',
    cityIntegrationId: 'City-Integration-Id',
    brandIntegrationId: 'Brand-Integration-Id',
    companyIntegrationId: 'Company-Integration-Id',
    companyBranchIntegrationId: 'Company-Branch-Integration-Id',
};
const getVehicleInformation = async (component, generalProps) => {
    const { notAvailableMessage, mockData, vin, scopedTimeoutRef, middlewareCallback } = generalProps;
    const { isDev, baseUrl, queryString, abortController, networkTimeoutRef, loadedResponse } = component;
    const handleResult = (newVehicleInformation) => {
        if (networkTimeoutRef === scopedTimeoutRef) {
            if (!newVehicleInformation && vin)
                throw new Error(notAvailableMessage || 'Wrong response format');
            if (loadedResponse)
                loadedResponse(newVehicleInformation);
            if (middlewareCallback)
                middlewareCallback(newVehicleInformation);
            return newVehicleInformation;
        }
    };
    if (isDev) {
        const newData = mockData[vin];
        return handleResult(newData);
    }
    else {
        if (!baseUrl)
            throw new Error('Please provide base-url');
        const headers = {};
        Object.entries(vehicleRequestHeaders).forEach(([componentHeaderKey, headerField]) => {
            if (component[componentHeaderKey])
                headers[headerField] = component[componentHeaderKey];
        });
        const response = await fetch(`${baseUrl}${vin}?${queryString}`, { signal: abortController.signal, headers: headers });
        const newData = (await response.json());
        return handleResult(newData);
    }
};

export { getVehicleInformation as g };
