import { MockJson } from "../../global/types/components";
import { ServiceItem, VehicleInformation } from "../../global/types/vehicle-information";
import { VehicleInformationInterface } from "../../global/api/vehicleInformation";
import { DynamicRedeem } from '../dynamic-redeem/dynamic-redeem';
export declare class DynamicClaim implements VehicleInformationInterface {
    baseUrl: string;
    isDev: boolean;
    queryString: string;
    el: HTMLElement;
    isIdle: boolean;
    popupClasses: string;
    externalVin?: string;
    activePopupIndex: null | number;
    vehicleInformation?: VehicleInformation;
    pendingItemHighlighted: boolean;
    scrollListenerRef: () => void;
    abortController: AbortController;
    timeoutRef: ReturnType<typeof setTimeout>;
    networkTimeoutRef: ReturnType<typeof setTimeout>;
    cachedClaimItem: ServiceItem;
    errorMessage?: string;
    dynamicRedeem: DynamicRedeem;
    dynamicClaimBody: HTMLElement;
    popupPositionRef: HTMLElement;
    dynamicClaimProgressBar: HTMLElement;
    isLoading: boolean;
    loadingStateChange?: (isLoading: boolean) => void;
    loadedResponse?: (response: VehicleInformation) => void;
    componentDidLoad(): Promise<void>;
    setMockData(newMockData: MockJson<VehicleInformation>): Promise<void>;
    setData(newData: VehicleInformation | string): Promise<void>;
    fetchData(requestedVin?: string): Promise<void>;
    onLoadingChange(newValue: boolean): void;
    setLoadingUi(isLoading: boolean): Promise<void>;
    updateProgressBar(): void;
    resetProgressBar(): void;
    windowScrollListener(newValue: any): void;
    onMouseLeave: () => void;
    onMouseEnter: (dynamicClaimItemHeader: HTMLElement, idx: number) => void;
    calculatePopupPos(root: ShadowRoot): void;
    removeLoadAnimationClass(event: AnimationEvent): void;
    completeClaim(): Promise<void>;
    claim(item: ServiceItem): void;
    private handleRedeemScanner;
    private openRedeem;
    createPopup(item: ServiceItem): any;
    render(): any;
}
