import { AppStates, MockJson } from "../../global/types/components";
import { VehicleInformation } from "../../global/types/vehicle-information";
import { ImageViewerInterface } from "../../global/lib/image-expansion";
export declare class VehicleAccessories implements ImageViewerInterface {
    baseUrl: string;
    isDev: boolean;
    queryString: string;
    loadingStateChange?: (isLoading: boolean) => void;
    loadedResponse?: (response: VehicleInformation) => void;
    state: AppStates;
    externalVin?: string;
    errorMessage?: string;
    expandedImage?: string;
    vehicleInformation?: VehicleInformation;
    originalImage: HTMLImageElement;
    abortController: AbortController;
    networkTimeoutRef: ReturnType<typeof setTimeout>;
    el: HTMLElement;
    private handleSettingData;
    setData(newData: VehicleInformation | string): Promise<void>;
    fetchData(requestedVin?: string): Promise<void>;
    loadingListener(): Promise<void>;
    setMockData(newMockData: MockJson<VehicleInformation>): Promise<void>;
    closeImageListener: (event?: KeyboardEvent) => void;
    openImage: (target: HTMLImageElement, imageSrc: string) => void;
    closeImage: (event?: KeyboardEvent) => void;
    render(): any;
}
