import { VehicleInformation } from "../../global/types/vehicle-information";
import { AppStates, MockJson } from "../../global/types/components";
import { VehicleInformationInterface } from "../../global/api/vehicleInformation";
export declare class WarrantyDetails implements VehicleInformationInterface {
    baseUrl: string;
    unauthorizedSscLookupBaseUrl: string;
    isDev: boolean;
    showSsc: boolean;
    queryString: string;
    unauthorizedSscLookupQueryString: string;
    recaptchaKey: string;
    showWarranty: boolean;
    cityId?: string;
    cityIntegrationId?: string;
    companyId?: string;
    companyIntegrationId?: string;
    companyBranchId?: string;
    companyBranchIntegrationId?: string;
    userId?: string;
    brandIntegrationId: string;
    customerName?: string;
    customerPhone?: string;
    customerEmail?: string;
    loadingStateChange?: (isLoading: boolean) => void;
    loadedResponse?: (response: VehicleInformation) => void;
    state: AppStates;
    externalVin?: string;
    errorMessage?: string;
    showRecaptcha: boolean;
    unInvoicedByBrokerName?: string;
    vehicleInformation?: VehicleInformation;
    checkingUnauthorizedSSC: boolean;
    recaptchaRes: {
        hasSSC: boolean;
        message: string;
    } | null;
    abortController: AbortController;
    networkTimeoutRef: ReturnType<typeof setTimeout>;
    private recaptchaIntervalRef;
    el: HTMLElement;
    private handleSettingData;
    private handleInitializingRecaptcha;
    setData(newData: VehicleInformation | string): Promise<void>;
    fetchData(requestedVin?: string): Promise<void>;
    componentDidLoad(): Promise<void>;
    setMockData(newMockData: MockJson<VehicleInformation>): Promise<void>;
    onShowSscChange(): void;
    onShowWarrantyChange(): void;
    loadingListener(): Promise<void>;
    render(): any;
}
