import { MockJson } from "../types/components";
import { VehicleInformation } from "../types/vehicle-information";
declare const vehicleRequestHeaders: {
    readonly cityId: "City-Id";
    readonly userId: "User-Id";
    readonly companyId: "Company-Id";
    readonly customerName: "Customer-Name";
    readonly customerPhone: "Customer-Phone";
    readonly customerEmail: "Customer-Email";
    readonly companyBranchId: "Company-Branch-Id";
    readonly cityIntegrationId: "City-Integration-Id";
    readonly brandIntegrationId: "Brand-Integration-Id";
    readonly companyIntegrationId: "Company-Integration-Id";
    readonly companyBranchIntegrationId: "Company-Branch-Integration-Id";
};
type VehicleRequestHeaders = Partial<Record<keyof typeof vehicleRequestHeaders, string>>;
export interface VehicleInformationInterface extends VehicleRequestHeaders {
    isDev: boolean;
    baseUrl: string;
    queryString?: string;
    abortController: AbortController;
    networkTimeoutRef: ReturnType<typeof setTimeout>;
    loadedResponse?: (response: VehicleInformation) => void;
}
type GetVehicleInformationProps = {
    vin: string;
    notAvailableMessage?: string;
    mockData: MockJson<VehicleInformation>;
    scopedTimeoutRef: ReturnType<typeof setTimeout>;
    middlewareCallback?: (VehicleInformation: any) => void;
};
export declare const getVehicleInformation: (component: VehicleInformationInterface, generalProps: GetVehicleInformationProps) => Promise<VehicleInformation>;
export {};
